# Class CallableStatementCache

java.lang.Object
java.util.AbstractMap<CallableStatementCacheKey, CallableStatement>
java.util.HashMap<CallableStatementCacheKey, CallableStatement>
java.util.LinkedHashMap<CallableStatementCacheKey, CallableStatement>
org.mariadb.jdbc.internal.util.CallableStatementCache

All Implemented Interfaces:
  `Serializable, Cloneable, Map<CallableStatementCacheKey, CallableStatement>, SequencedMap<CallableStatementCacheKey, CallableStatement>`

public class CallableStatementCache extends LinkedHashMap<CallableStatementCacheKey, CallableStatement>

See Also:
  - Serialized Form

## Nested Class Summary

### Nested classes/interfaces inherited from class AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

## Method Summary

Modifier and Type
Method
Description
`static CallableStatementCache`
`newInstance(int size)`
`protected boolean`
`removeEldestEntry(Map.Entry<CallableStatementCacheKey, CallableStatement> eldest)`

### Methods inherited from class LinkedHashMap

`clear, containsValue, entrySet, forEach, get, getOrDefault, keySet, newLinkedHashMap, putFirst, putLast, replaceAll, reversed, sequencedEntrySet, sequencedKeySet, sequencedValues, values`

### Methods inherited from class HashMap

`clone, compute, computeIfAbsent, computeIfPresent, containsKey, isEmpty, merge, newHashMap, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

### Methods inherited from class AbstractMap

`equals, hashCode, toString`

### Methods inherited from class Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface Map

`compute, computeIfAbsent, computeIfPresent, containsKey, equals, hashCode, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

### Methods inherited from interface SequencedMap

`firstEntry, lastEntry, pollFirstEntry, pollLastEntry`

## Method Details

### newInstance

public static CallableStatementCache newInstance(int size)

### removeEldestEntry

protected boolean removeEldestEntry(Map.Entry<CallableStatementCacheKey, CallableStatement> eldest)

Overrides:
  `removeEldestEntry` in class `LinkedHashMap<CallableStatementCacheKey, CallableStatement>`